Subject: Nits in draft draft-ietf-pwe3-frame-relay-04.txt

From: Sasha Vainshtein <[email-masked]>
Date: Sun, 6 Mar 2005 20:21:02 +0200

Luca and all,
I have read the re-writen draft, and, IMO, in many cases it is an 
improvement over the -03 version.
In particular, I strongly support removal of padding functionality.

However, several nits, IMHO, remain:

1. QoS-related abbreviations defined in Section 3 are not used anywhere 
in the text, e.g., Bc, Be, CIR. (Note also that Section 3 explicitly
states that "QoS related issues are not discussed in this draft":-)

2. The following two statements in Section 4 look contradictory to me:
<quote 1>
   This document specifies the encapsulation for the emulated frame
   relay VC over an MPLS PSN.
<end quote 1>
vs. 
<quote 2>
   Two mapping modes are defined between FR VCs and pseudo-wires: The
   first one is called "one-to-one" mapping, because there is a one-to-
   one correspondence between a FR VC and one Pseudo Wire. The second
   mapping is called "many-to-one" mapping or "port mode" Because
   multiple FR VCs assigned to a port are mapped to one Pseudo Wire.
<end quote 2>

3. PW Header vs. PW Label

Section 5.1.1 of RFC 3985 states that "The PW Demultiplexer header is not
considered part of the PW header".

At the same time, Section 5 of the FR draft states that 

<quote>
   The PW packet consists of the following fields ...
   ...
       -ii. PW header contains an identifier for multiplexing PWs within
            a PSN tunnel.
<end quote>

Note also that in Figure 3 this field is (IMHO, correctly) called "PW
Label".

4. Padding clean-up: while the requirement to add padding has been removed
from the text that describes how the PW packets are generated, Figure 6
still mentions padding as part of the PW packet in the port mode. 
(Note that Figure 3 that describes the PW packet in the one-to-one mode
does not mention padding:-).

5. Specification of specific interface parameters (in section 7.2) mentions
just one such parameter, namely, DLCI length. IMHO:
- some other parameters (like Inteface MTU, Fragmentation support etc.)
  are also relevant 
- the DLCI Length only makes sense for the Port Mode FR PWs but not for
  the one-to-one mode since DLCI is removed

6. EXP Bits and S bit of the Labels:
Somehow these are only described only as part of the Port Mode 
operation, while the one-to-one mode does not mention these fields.

7 References
  - [ITUG] is present in the references but not mentioned in the text 
    (the latter makes sense since it is the SDH standard)
  - The control protocol draft is a normative reference. Why? Doesn't it
    create a circular dependency?
  - RFC 3985 is described as an "Internet Draft" (???) and is not a
normative
    reference (not so sure about it)
  - [FRF2], FRF4] and some other are present among the references but not
referred to.

Hopefully these comments will be helpful.

Regards,
                                  Sasha Vainshtein
email:                         [email-masked]
phone:                       +972-3-7569993 (office)
fax:                            +972-3-6487779
mobile:                      +972-52-8674833

---

From: Sasha Vainshtein <[email-masked]>
Date: Wed, 23 Mar 2005 16:54:57 +0200

Luca and all,
I'd like to comment on the proposal to move the FR Port Mode
from the FR encapsulation draft to the HDLC one.

Andy has noted already on this list that different PW Types
are used for these two. To this I can add that FR Port Mode
PWs p[resumably should be only setup between FR Ports with
the same DLCI size. (To the best of my memory, this issue
has been raised already on the list and, as the result,
the FR DLCI Length Interface Parameter  (Parameter ID = 0x0008)
has been added to the registry). 

IMHO usage of this parameter must be documented somewhere,
and, to my taste, the FR draft is more suitable for this
purpose than the HDLC draft. (It has to be one of the two
since all service-specific details are now moved to
the encapsulation drafts).

Regards,
                                  Sasha Vainshtein
email:                         [email-masked] <mailto:[email-masked]> 
phone:                       +972-3-7569993 (office)
fax:                            +972-3-6487779
mobile:                      +972-52-8674833 

> -----Original Message-----
> From: Sasha Vainshtein 
> Sent: Sunday, March 06, 2005 8:21 PM
> To: Luca Martini (E-mail)
> Cc: Sharon Galtzur; PWE3 WG (E-mail); Alik Shimelmits; Steve Byars
> Subject: [PWE3] Nits in draft draft-ietf-pwe3-frame-relay-04.txt
> 
> 
> Luca and all,
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>